List Playbook Runs - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List Playbook Runs
GET / v2.0/playbooks/{playbookId}/runs
Try it
cURL
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/runs \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/runs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Codes
- 200: Success
- 400: Bad Request
- 401: Unauthorized
- 402: Payment Required
- 403: Forbidden
- 404: Not Found
- 405: Method Not Allowed
- 409: Conflict
- 413: Payload Too Large
- 500: Internal Server Error
- 501: Not Implemented
- 502: Bad Gateway
- 503: Service Unavailable
- 504: Gateway Timeout
Authorizations
X-API-Key
- Type: string
- Location: header
- Required: Supply the API Key in the HTTP-Header
Headers
Accept
- Type: enum
- Specifies the media type that the client expects in the response.
- Available options:
application/json,application/hal+json,application/xml,text/xml,text/csv. Default value isapplication/json.
Path Parameters
playbookId
- Type: string
- Required: The unique identifier for the Playbook.
- Required string length:
24 - Pattern:
^[a-z0-9]{24}$
Query Parameters
- projectId: string - The unique identifier for the Project. Required string length:
24 - filter: string - The string to filter Playbook runs by status.
- limit: integer - The maximum number of items to return. Default value is 25 (max 100).
- skip: integer - Number of items to skip before returning the results. Default is 0.
- sort: string - The order in which results are returned.
- next: string - Cursor pointing to the next page of results.
- previous: string - Cursor pointing to the previous page of results.
Response
200: application/json
- Paginated array of Playbook runs retrieved.
- items: object[] - Array of Playbook run results.
- total: integer - Total number of items.
- nextCursor: string | null - Cursor pointing to the next page.
- previousCursor: string | null - Cursor pointing to the previous page.